<form *ngIf="eventgroup" #f="ngForm">
  <div class="form-group">
  <label for="titleInput" class="required">Probenphasentitel</label>
  <input id="titleInput" class="form-control" type="text"
         #title="ngModel" [(ngModel)]="eventgroup.title"
         name="titleInput" placeholder="z.B. Probenwoche"
         required>
  <app-show-form-errors [control]="title"></app-show-form-errors>
  </div>
  <div class="form-group">
    <label for="locationInput" class="required">Ort</label>
    <input id="locationInput" class="form-control" type="text"
           #location="ngModel" [(ngModel)]="eventgroup.location"
           name="locationInput" placeholder="Jugendherberge"
           required>
    <app-show-form-errors [control]="location"></app-show-form-errors>
  </div>
  <div class="form-group">
    <label for="beginDateInput" class="required">Von - Bis</label>
    <input type="text"
           placeholder="von - bis"
           class="form-control"
           bsDaterangepicker
           [(ngModel)]="eventgroup.range"
           name="beginDateInput" id="beginDateInput"
           required
           #dateRange="ngModel"
           [minDate]="eventgroup.project.start"
           [maxDate]="eventgroup.project.end"
           (bsValueChange)="dateChanged($event)"
    >
    <app-show-form-errors [control]="dateRange"></app-show-form-errors>
  </div>
  <div class="form-group">
    <label for="descriptionInput">Beschreibung</label>
    <!--
    <textarea id="descriptionInput" class="form-control" type="text"
           #description="ngModel" [(ngModel)]="eventgroup.description"
           name="descriptionInput"></textarea>
     <app-show-form-errors [control]="description"></app-show-form-errors>
           -->
    <div id="descriptionInput">
      <eos-ckeditor [content]="eventgroup.description" (contentChanged)="descriptionChanged($event)"></eos-ckeditor>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-md-8">
      <label for="deadlineDateInput">Anmeldung möglich bis</label>
      <input type="text"
             placeholder="von"
             class="form-control"
             bsDatepicker
             [(ngModel)]="eventgroup.deadline"
             name="deadlineDateInput" id="deadlineDateInput"
             [maxDate]="eventgroup.end"
             #deadlineDate="ngModel"
      >
      <app-show-form-errors [control]="deadlineDate"></app-show-form-errors>
    </div>
    <div class="form-group col-md-4">
      <label for="deadlineTimeInput">Uhrzeit</label>
      <timepicker [showSpinners]="false" [showMeridian]="false"
                  name="deadlineTimeInput"
                  [(ngModel)]="eventgroup.deadline"
                  id="deadlineTimeInput"
                  #deadlineTime="ngModel"
                  (ngModelChange)="checkTime($event)"
      >
      </timepicker>
      <app-show-form-errors [control]="deadlineTime"></app-show-form-errors>
    </div>
  </div>
  <button class="btn btn-primary btn-sm" *ngIf="isAddressEmpty() && !editAddress" (click)="addAddress()"><i class="fas fa-plus"></i> Adresse hinzufügen</button>
  <ng-container *ngIf="editAddress">
    <hr>
    <h5>Adresse der Probenphase</h5>
    <eos-address-form [address]="eventgroup.address"></eos-address-form>
  </ng-container>
</form>

